<?php

require_once "lib/meme.php";

function endpoint($endpoint_data): array
{

    return match ($endpoint_data["action"]) {
        "addMeme" => addMeme($endpoint_data['meme_title'], $endpoint_data['meme_text'], $endpoint_data['meme_image_id']),
        "renderGallery" => renderMemeGallery(),
        default => ["Status" => "Fail", "message" => "Invalid action"],
    };
}